İçeriğe geç
API Referansı
API Referansı

Gemini Omni Ses Oluşturma

Aynı yanıtta bir sonuç almak için ses oluşturma uç noktasını kullanın.

01

Genel Bakış

Ses oluşturma uç noktasını kullanın ve sonucu aynı yanıttan okuyun.

Hızlı başlangıç

  1. Bir API anahtarı oluşturun ve RUNAPI_API_KEY olarak ayarlayın.
  2. Gövdesi istek şemasıyla eşleşen bir POST isteği gönderin.
  3. Sonucu başarılı yanıt gövdesinden okuyun.

Uç Nokta

POST /api/v1/gemini_omni/create_audio
Temel URL
https://runapi.ai
API sürümü
v1
Kimlik doğrulama
Authorization: Bearer YOUR_API_TOKEN
02

Desteklenen modeller

Güncel fiyatlandırma, hız sınırları ve ticari kullanım ayrıntıları için bir model sayfası açın.

03

İstek şeması

JSON gövdesi

Yalnızca bu uç nokta için bildirilen alanları gönderin.

gemini-omni-audio4 alan
audio_idstring
Zorunlu

Ses ön ayarı için kullanılan ses kimliği.

example_dialoguestring
İsteğe bağlı

Ses stilini gösteren örnek diyalog.

Sınır: 120
namestring
Zorunlu

Ses ön ayarı görünen adı.

Sınır: 210
voice_descriptionstring
İsteğe bağlı

Perde, ton veya aksan gibi ses özellikleri.

Sınır: 20000
04

Başarılı yanıt

HTTP 200

POST /api/v1/gemini_omni/create_audio

Yanıt şeması
JSON
{
  "properties": {
    "audio": {
      "properties": {
        "id": {
          "description": "Oluşturulan ses ön ayarı tanımlayıcısı.",
          "type": "string"
        },
        "name": {
          "description": "Ses ön ayarı görünen adı.",
          "type": "string"
        }
      },
      "required": [
        "id"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "description": "Oluşturulan ses ön ayarı tanımlayıcısı.",
      "type": "string"
    }
  },
  "required": [
    "id",
    "audio",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

Yanıt örneği

JSON
{
  "audio": {
    "id": "aud_reference_narrator",
    "name": "Studio Narrator"
  },
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "aud_reference_narrator"
}
05

Hatalar

HTTP 401

POST /api/v1/gemini_omni/create_audio

Yanıt şeması
JSON
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

Yanıt örneği

JSON
{
  "error": "Authentication required"
}
06

Hatalar

HTTP 400

POST /api/v1/gemini_omni/create_audio

Yanıt şeması
JSON
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "İnsan tarafından okunabilir hata mesajı.",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "İnsan tarafından okunabilir doğrulama özeti.",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "Herkese açık istek alanına göre anahtarlanan doğrulama mesajları; her alan için insan tarafından okunabilir dizelerden oluşan bir dizi içerir.",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}

Yanıt örneği

JSON
{
  "error": "Validation failed",
  "errors": {
    "audio_id": [
      "is required"
    ]
  }
}
07

Hatalar

HTTP 402

POST /api/v1/gemini_omni/create_audio

Yanıt şeması
JSON
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

Yanıt örneği

JSON
{
  "error": "Insufficient balance"
}
08

Hatalar

HTTP 429

POST /api/v1/gemini_omni/create_audio

Yanıt şeması
JSON
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

Yanıt örneği

JSON
{
  "error": "API key credit limit exceeded"
}
09

Hatalar

HTTP 409

POST /api/v1/gemini_omni/create_audio

Yanıt şeması
JSON
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

Yanıt örneği

JSON
{
  "error": "The request uses features that are not supported for the selected model"
}
10

Hatalar

HTTP 429

POST /api/v1/gemini_omni/create_audio

Yanıt şeması
JSON
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

Yanıt örneği

JSON
{
  "error": "Rate limit reached. Please retry later."
}
11

Hatalar

HTTP 503

POST /api/v1/gemini_omni/create_audio

Yanıt şeması
JSON
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

Yanıt örneği

JSON
{
  "error": "Service under maintenance, please try again later"
}
12

Hatalar

HTTP 504

POST /api/v1/gemini_omni/create_audio

Yanıt şeması
JSON
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

Yanıt örneği

JSON
{
  "error": "The request timed out"
}
13

Oluşturulan Kod Örnekleri

Doğrudan cURL kullanın veya diliniz için bir SDK yükleyin. Her örnek, bu başvuruda gösterilen doğrulanmış isteği gönderir.

Yükle

Shell
pip install runapi-gemini-omni
PYTHON
import os
from runapi.gemini_omni import GeminiOmniClient

client = GeminiOmniClient(api_key=os.environ["RUNAPI_API_KEY"])
result = client.create_audio.run(
  audio_id="achernar",
  name="Studio Narrator",
  voice_description="A calm and clear narration voice.",
  example_dialogue="Welcome to the studio."
)